Page MenuHomePhabricator

[Regression] Special:WhatLinksHere is unusable
Closed, ResolvedPublic

Description

Someone please explain to me the usability testing that concluded that:


should be replaced with:

This is the result of T117754: Convert Special:WhatLinksHere to OOUI

Event Timeline

TheDJ created this task.May 19 2016, 9:23 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 19 2016, 9:23 PM

Change 289770 had a related patch set uploaded (by TheDJ):
Revert "Convert Special:WhatLinksHere from XML form to OOUI form"

https://gerrit.wikimedia.org/r/289770

TheDJ updated the task description. (Show Details)May 19 2016, 9:26 PM

Change 289772 had a related patch set uploaded (by TheDJ):
Revert "Convert Special:WhatLinksHere from XML form to OOUI form"

https://gerrit.wikimedia.org/r/289772

Change 289770 merged by jenkins-bot:
Revert "Convert Special:WhatLinksHere from XML form to OOUI form"

https://gerrit.wikimedia.org/r/289770

matmarex triaged this task as High priority.May 19 2016, 10:11 PM

Also, messages should not be changed and reused - that results in showing wrong messages such as

$1 transclusions
$1 links

etc...

Change 289772 merged by jenkins-bot:
Revert "Convert Special:WhatLinksHere from XML form to OOUI form"

https://gerrit.wikimedia.org/r/289772

Mentioned in SAL [2016-05-19T23:33:03Z] <dereckson@tin> Started scap: Revert "Convert Special:WhatLinksHere from XML form to OOUI form" ([[Gerrit:289772]], T135773)

Mentioned in SAL [2016-05-20T00:07:16Z] <dereckson@tin> Finished scap: Revert "Convert Special:WhatLinksHere from XML form to OOUI form" ([[Gerrit:289772]], T135773) (duration: 34m 12s)

@Ajayrahul We've a little issue reverting the localisation of your code: your repurposed messages to give them a new meaning.

This choice makes it's not straighforward to revert: we need to track on TranslateWiki translations update, revert them, prepare a change.

When you change the meaning of an element interface, please create a new message instead of amend existing ones.

@Ajayrahul We've a little issue reverting the localisation of your code: your repurposed messages to give them a new meaning.

Change 289802 had a related patch set uploaded (by Bartosz Dziewoński):
Undo translations of message changes from 6ffabb260b60497a732b9b46610ec9fd0f9f71f9

https://gerrit.wikimedia.org/r/289802

Change 289802 merged by jenkins-bot:
Undo translations of message changes from 6ffabb26

https://gerrit.wikimedia.org/r/289802

Nikki added a subscriber: Nikki.May 20 2016, 9:28 AM

The translation commit above was meant to be picked up by daily LocalisationUpdate run, but that did not happen for some reason.

The translation commit above was meant to be picked up by daily LocalisationUpdate run, but that did not happen for some reason.

Does that mean it will take another 24 hours before we get the WhatLinksHere filter links back on our language version unless we fix it locally?

Dvorapa removed a subscriber: Dvorapa.May 20 2016, 2:38 PM

Hopefully sooner than that, T135849 was filed to investigate.

The translation commit above was meant to be picked up by daily LocalisationUpdate run, but that did not happen for some reason.

Now done: bd808@tin scap sync-l10n completed (1.28.0-wmf.2) (duration: 10m 06s).

matmarex closed this task as Resolved.May 20 2016, 4:51 PM

Fixed and deployed.